//==============================================
//      File dm.pas
//
//      Components library for Delphi and BCB++.
//        .
//      Data module from demo project.
//
//      Copyright 1998-2002 Polaris Software
//      http://polesoft.da.ru
//      mailto: PolarisLib@mail.ru
//==============================================
unit dm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  rConnect, rDBConnect, DBMore, Db, DBTables;

type
  TDM1 = class(TDataModule)
    taDepart: TTable;
    taPosition: TTable;
    taEmployee: TTable;
    taEmployeeEmpID: TIntegerField;
    taEmployeeName: TStringField;
    taEmployeeSex: TStringField;
    taEmployeeBirthday: TDateField;
    taEmployeeDepart: TIntegerField;
    taEmployeeDepartName: TStringField;
    taEmployeePosition: TIntegerField;
    taEmployeePosName: TStringField;
    taEmployeeDescript: TMemoField;
    taEmployeePhoto: TGraphicField;
    Database1: TDatabase;
    Table1: TTable;
    rCloneTable1: TrCloneTable;
    rDBConnect1: TrDBConnect;
    procedure taDepartAfterPost(DataSet: TDataSet);
    procedure taDepartAfterEdit(DataSet: TDataSet);
    procedure taPositionAfterPost(DataSet: TDataSet);
    procedure taPositionBeforeEdit(DataSet: TDataSet);
    procedure taEmployeeAfterEdit(DataSet: TDataSet);
    procedure taEmployeeNewRecord(DataSet: TDataSet);
    procedure DataModuleCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DM1: TDM1;

implementation

uses main, Depart, Employee, rVCLUtils;

{$R *.DFM}

procedure TDM1.taDepartAfterPost(DataSet: TDataSet);
begin
  Form1.Refresh2.Click;
end;

procedure TDM1.taDepartAfterEdit(DataSet: TDataSet);
begin
  if Form1.CBEditing.Checked then
    ExecuteForm(TFormDepart.Create(Self));
end;

procedure TDM1.taPositionAfterPost(DataSet: TDataSet);
begin
  Form1.rDBGrid1.SetFocus;
  Form1.Refresh2.Click;
end;

procedure TDM1.taPositionBeforeEdit(DataSet: TDataSet);
begin
  Form1.rDBEdit1.SetFocus;
end;

procedure TDM1.taEmployeeAfterEdit(DataSet: TDataSet);
begin
  if Form1.CBEditing.Checked then
    ExecuteForm(TFormEmployee.Create(Self));
end;

procedure TDM1.taEmployeeNewRecord(DataSet: TDataSet);
begin
  Dataset['SEX'] := 'M';
end;

procedure TDM1.DataModuleCreate(Sender: TObject);
begin
  taDepart.Open;
  taPosition.Open;
  taEmployee.Open;
end;

end.
